Add / Update Product

Creates or updates a product album.

Create vs update

  • Create: Requires product object with sku, name, product_photo, and buy_now_link_url fields.
  • Update: Requires product object with either sku, native_product_id, or pixlee_product_id to identify the product. Partial updates are supported (for example stock-only updates from integrations).
  • Multi-region: Add regional_info array to product. Add an object per-region to the array with regional values. Each region entry requires name and buy_now_link_url. New regions also require region_code and currency.

For standard or category albums, use Create Album.

Authentication details: About the Content API.

Related: Get all products, Get product information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Creates or updates a product album (album_type: product).

string
required

Album title. Required.

string
enum
Defaults to product

Must be product for this endpoint.

Allowed:
boolean
Defaults to false
boolean
Defaults to true
boolean
Defaults to true

When true, new content goes to the album inbox for review.

integer
Defaults to 0
integer
Defaults to 0
boolean
Defaults to false
users_with_access
array of integers

User ids allowed to access a restricted album.

users_with_access
product
object
required

Product fields nested under the album. On create, sku, name, product_photo, and buy_now_link_url are required. On update, the product is matched by sku, native_product_id, or pixlee_product_id.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json